<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DaoRu.aspx.cs" Inherits="CRMSYS.CustomerInformation.PublicManagement.dr" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link href="../../Scripts/BootStrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="../../Scripts/BootStrap/css/ace.min.css" />
    <link rel="stylesheet" href="../../Scripts/BootStrap/css/ace-skins.min.css" />
    <link rel="stylesheet" href="../../Scripts/BootStrap/css/ace-rtl.min.css" />
    <link href="../../Scripts/layer/skin/layer.css" rel="stylesheet" type="text/css" />
    <script src="../../Scripts/Yui/jquery-1.8.0.min.js" type="text/javascript"></script>
    <script src="../../Scripts/BootStrap/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="../../Scripts/Yui/jquery.easyui.min.js" type="text/javascript"></script>
    <script src="../../Scripts/Yui/easyui-lang-zh_CN.js" type="text/javascript"></script>
    <script src="../../Scripts/layer/layer.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        function OK() {
            layer.msg("导入成功！", 3, 1);
            window.parent.$('#DR').modal('hide');
            window.parent.Fresh();
        }
        function ShiBai() {
            layer.msg("导入失败！请检查表格数据!", 2, 5);
        }
        function ShangChuan() {
            layer.msg("请先上传文件！", 2, 5);
        }
        function ModelError() {
            layer.msg("上传模板有错，请确认模板是本站模板，且按照说明填写数据信息！");
        }
        function CuoWu() {
            layer.msg("请上传.xls文件！", 2, 5);
        }
        function Error() {
            layer.msg("上传文件错误，请检查文件格式以及内容重新尝试！", 2, 5);
        }
        function GetServiceID() {
            window.parent.document.getElementById("Hsrvid");
        }
        function TypeError() {
            layer.msg("文件格式有错误，请检查文件！", 2, 5);
        }
        function showFile(_this) {
            $("#fileurl").text($(_this).val());
        }
        $(function(){
            $("#FileUpload1").on("mousemove", function () {
                $("#openImgBtn").css("background-position", "0 -75px");
            }).on("mouseleave", function () {
                $("#openImgBtn").css("background-position", "0 0");
            });
        });
    </script>
     <style type="text/css">
        .form-horizontal .form-group{ margin-left:15px; }
        .pass-portrait-filebtn {background: none;border: none;background: url('../../Images/ImportPng.png') 0 0;background-repeat: no-repeat;height: 38px;line-height: 38px;text-align: center; width: 130px; z-index:1}
        .pass-portrait-filebtn:hover {background-position:0 -75px;}
        .pass-portrait-file {height: 38px;font-size: 30px;position: absolute;left: 0;top: 0;width: 130px;display: inline-block;opacity: 0;filter: alpha(opacity=0);}
        .pass-portrain-commonp{margin: 0;padding: 0 0 10px 0;}
    
    </style>
</head>
<body style="width:786px;" onload="GetServiceID();">
    <form id="form1" runat="server" role="form" class="form-horizontal">
        <p class="pass-portrain-commonp">第一步：下载上传文档模板</p>
        <div class="form-group">
            <a type="button"  class="btn btn-purple" target="_blank" href="上传模板.xls">下载模板</a>
        </div>
        <p class="pass-portrain-commonp">第二步：编辑检查客户信息文档</p>
        <div class="form-group">
            <img src="../../Images/uploadpic.png" class="img-rounded"><span class="text-danger">注：红色星标记的为必填项，如果为空请用"暂无"代替，否则操作会提示格式错误</span>
        </div>
        <p class="pass-portrain-commonp">第三步：选择编辑好的客户信息文档</p>
        <div class="form-group" style="position:relative">
                <input type="button" class="pass-portrait-filebtn" name="openImgBtn" id="openImgBtn" value="选择文件">
                <asp:FileUpload runat ="server" CssClass='pass-portrait-file'  ID="FileUpload1" onchange="showFile(this);" /> 
                <span id="fileurl"></span>
                <span class="text-danger" style="display:block">注：上传文件仅支持xls格式的Excel文档</span>
        </div>
        <p class="pass-portrain-commonp">第四步：上传</p>
        <div class="form-group">
            <asp:Button ID="btnUpload" runat ="server" Text="上传" class="btn btn-purple" OnClick="ImageButton2_Click"/>
        </div>
    </form>
</body>
</html>
